from django.urls import path
from django.contrib.auth import views as auth_view
from . import views
from .forms import ExtendedAuthenticationForm

urlpatterns = [
    path('register/', views.register, name='register'),
    path('login/',
         auth_view.LoginView.as_view(template_name='user_profile/login.html',
                                     authentication_form=ExtendedAuthenticationForm),
         name='login'),
    path('logout', auth_view.LogoutView.as_view(), name='logout'),
    path('profile', views.profile, name='profile')
]
